Last Comment Bug 753954 - Implement the Australis tabs on Linux
: Implement the Australis tabs on Linux
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Linux
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 763308
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 12:00 PDT by Richard Marti (:Paenglab)
Modified: 2012-06-10 08:01 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for Linux (24.65 KB, patch)
2012-05-10 12:05 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Review
patch for Linux v2 (24.67 KB, patch)
2012-05-12 14:04 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
Details | Diff | Review
Patch for check-in (24.52 KB, patch)
2012-05-16 07:35 PDT, Richard Marti (:Paenglab)
richard.marti: review+
richard.marti: ui‑review+
Details | Diff | Review

Description Richard Marti (:Paenglab) 2012-05-10 12:00:52 PDT
The same as bug 743629 but for Linux
Comment 1 Richard Marti (:Paenglab) 2012-05-10 12:05:33 PDT
Created attachment 622836 [details] [diff] [review]
patch for Linux

This patch is a adaption of the Aero implementation.

I took the tab close graphics from the Australis for Linux Spec page <http://people.mozilla.com/~shorlander/files/australis-designSpecs/australis-designSpecs-linux-mainWindow.html>
Comment 2 Richard Marti (:Paenglab) 2012-05-10 12:06:36 PDT
Do we have a Australis tracker bug for Linux?
Comment 3 Richard Marti (:Paenglab) 2012-05-12 14:04:30 PDT
Created attachment 623455 [details] [diff] [review]
patch for Linux v2

Changed the margin and padding of the close button. With previous patch on hovering the close button the tab hover image changed easily to the next tab. This patch should solve this.
Comment 4 Andreas Nilsson (:andreasn) 2012-05-16 06:02:05 PDT
Comment on attachment 623455 [details] [diff] [review]
patch for Linux v2

Looks good ui-wise when I tested on both light and dark themes. The close button needs down and right 1px. ui-r=me with that fixed.
Comment 5 Andreas Nilsson (:andreasn) 2012-05-16 06:13:49 PDT
Comment on attachment 623455 [details] [diff] [review]
patch for Linux v2

closeTab-active.svg have a lots of gaps in the xml (like on line 28), but apart from that all looks good. r=me with that fixed.
Comment 6 Richard Marti (:Paenglab) 2012-05-16 07:35:53 PDT
Created attachment 624376 [details] [diff] [review]
Patch for check-in

Patch addressing the review comments.

Carrying over r+ and ui-r+
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-05-16 07:38:53 PDT
So, I think we need to talk a little about where we should be landing the australis stuff, since I don't really want us to ship a half-done version.  I'm hoping that we get a UX branch of Thunderbird sometime in the not-too-distant future, where we can land these things.  Until then, I think we should hold off on the checkin-needed, and perhaps even revert the previous checked-in patches, until we're all happy that the new theme is done.

Thanks,
Blake.
Comment 8 Richard Marti (:Paenglab) 2012-05-17 09:54:00 PDT
Blake gave the ticket to land -> checkin-needed
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-05-17 11:32:28 PDT
https://hg.mozilla.org/comm-central/rev/2b0f84659994

Note You need to log in before you can comment on or make changes to this bug.